Skip to main content
Bespoke Fields

Get a list of bespoke fields

This method requires the BespokeFields:Get permission to be associated with your role.

GET
/gb/bespoke-fields
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
table_namestringquery

Optional Table Name

This field supports the wildcard % operator.

Maximum string length: 64
field_namestringquery

Optional Field Name

This field supports the wildcard % operator.

Maximum string length: 60
input_typeenum<string>query

Optional Input Type

Available options: text, date, checkbox, listbox, blank, number, label, textarea
Maximum string length: 60
column_numberintegerquery

Optional Column Number

pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1